mednafen (0.8.D.3-7) UNRELEASED; urgency=high

  * rebuild for newers venenux with new base dir as mednafen08
  * debian/rules:
    + added include dir for newer opengl headers
  * debian/patches:
    + fixes needed to build with zlib 1.2.6 or newer
  * debian/control
    + as mednafen08, for older consoles more faster
  * debian/postinst : 
    + provides nes-emulator, gg-emulator, sms-emulator, gba-emulator, 
      also provides pce-emulator, wsc-emulator, ngc-emulator. (closes: #485974).
      added high priority to gameboy over other, mednafen runs good in gba and wonderswan
    + provides priority acording to performance and availivility, 
      nes, pce, gb and gba to 120 due in newer linux mednafen 0.8 are more faster,
      wsc, ngp, ngc, and lnx set to highes 100 due the only emulator GPL for these are mednafen
      sms and sgg gg set to 80, osmose are great but future version are only opengl!

 -- PICCORO Lenz McKAY <mckaygerhard@gmail.com>  Sat, 08 Jun 2019 02:30:37 -0430

mednafen (0.8.D.3-6) unstable; urgency=high

  * backported lasted 0.8 version for venenux, build for modern machines
    + New upstream version, fixing a significant memory leak.
    + using powered gcc 3.4 for optimun and better performance Closes: #417446
    + New upstream version (closes: #506462):
    + fix GCC 4.4 invalid conversion from const char* to char*. Closes: #560474).
    + Install .desktop file allowing file association, vnz MIME types, Closes: #635538.
    + build harded optimized more rather than visualboyadvance in gba emulation case!
  * debian/control
    + Update the stupid category, mednafen IS NOT A GAME, is an emulator, god!!!
    + update build dependency on libjack-dev 0.109 or sexy and subsample feature.
    + Mention homepage.
    + fix recomends no non-free packages, for make happy stupid venenux zealots of GNU
    + suggests mednafen specific bios package, due are not bios xmess compatible
  * debian/doc-base:
    + Register documentation with doc-base.
  * debian/postinst : 
    + provides nes-emulator, gg-emulator, sms-emulator, gba-emulator, 
      also provides pce-emulator, wsc-emulator, ngc-emulator. (closes: #485974).
      added high priority to gameboy over other, mednafen runs good in gba and wonderswan
    + provides priority acording to performance and availivility, 
      nes, pce, gb and gba to 20, theres beeter emulators that mednafen for these
      wsc, ngp, ngc, and lnx set to highes 80 due the only emulator GPL for these are mednafen
      sms and sgg gg set to 60, osmose are great but future version are only opengl!
    + create mednafen emulation dir zone and makes able to write if are under games group
  * debian/patches:
    - 10-gcc4.4-const-char.patch: removed, merged upstream.
    + FIXED SIGFAULT: set arch to 486 and added mmx ext due necesary builds
    - remove build agains newer zlib, use older venenux 0.X
    + FIXED : set all scale factors to 2x
    + FIXED : set all scale effects to nn2x
    + FIXED : optimization, use gcc 4.X and op to level 3, march=i486 and mmx extensions
    + set all button to zero's based
    - Build using the provided libvorbisidec source; mednafen doesn't work
      correctly with the version currently in Debian (closes: #699143).
    + set default paths of the specific bioses used for mednafen
    + try to use 16 bit to more speed due less color usage and gpu cicles
    + config all video scalers an sizes to look same on all games, 
      and use alsa/softmix as default, this prevent block devide due exclusive use
      for low end machines this must be set to default and default/hw:X due 
      the buffer size time period are too large in alsa mixer for devices.
    + sync documentation with buttons changed and defaults sets

 -- PICCORO Lenz McKAY <mckaygerhard@gmail.com>  Mon, 06 Jul 2015 02:06:50 -0430

mednafen (0.8.D.3-5) unstable; urgency=low

  * Use ${source:Package} with dpkg-query to retrieve only the package
    name in the Built-Using field (closes: #677867).
  * Drop unused GPL-2 license paragraph from debian/copyright.
  * Fix configure.ac to ensure dpkg-buildflags' CPPFLAGS make it all the
    way through the build.

 -- Stephen Kitt <steve@sk2.org>  Mon, 18 Jun 2012 01:01:20 +0200

mednafen (0.8.D.3-4) unstable; urgency=low

  * Update debian/watch to track stable releases only.
  * Pull in relevant changes from the experimental package:
    - wrap-and-sort debian/control
    - add a Built-Using relationship to the package from which MiniLZO is
      copied
    - build using libvorbisidec-dev rather than the provided tremor source
    - switch to DEP-5 format for debian/copyright
    - add cheats.txt to the shipped documentation
    - build with dh-autoreconf
    - use debian/gbp.conf to enforce pristine-tar use
    - add README.source describing the source code replacements

 -- Stephen Kitt <steve@sk2.org>  Wed, 16 May 2012 22:50:02 +0200

mednafen (0.8.D.3-3) unstable; urgency=low

  * Build with zlib 1.2.6 and later (patch by Michał Ziąbkowski, adapted
    by Steven Chamberlain; closes: #661657).
  * Build-depend on debhelper 9.
  * Standards-Version 3.9.3, no change required.

 -- Stephen Kitt <steve@sk2.org>  Wed, 29 Feb 2012 23:28:31 +0100

mednafen (0.8.D.3-2) unstable; urgency=low

  [ Stephen Kitt ]
  * Fix "debian/control uses hardcoded list of non-Linux architectures" -
    qualify libasound2-dev dependency using [linux-any] instead of
    [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] (closes: #634461).
  * Install .desktop file allowing file association, with known
    supported MIME types, as suggested by Damian Yarrick (LP: #886912;
    helps with #635538).
  * Simplify rules using dh 9 and enable hardening.
  * Build-conflict with autoconf2.13 which causes the build to fail.
  * Standards-Version 3.9.2, no change required beyond the above.

  [ Piotr Ożarowski ]
  * Set DM-Upload-Allowed flag to yes

 -- Stephen Kitt <steve@sk2.org>  Tue, 08 Nov 2011 07:20:54 +0100

mednafen (0.8.D.3-1) unstable; urgency=low

  * New upstream version, fixing a significant memory leak.

 -- Stephen Kitt <steve@sk2.org>  Fri, 17 Sep 2010 07:18:16 +0200

mednafen (0.8.D.2-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version 3.9.1, no change required.
  * Add build dependency on libjack-dev.

 -- Stephen Kitt <steve@sk2.org>  Thu, 05 Aug 2010 08:35:19 +0200

mednafen (0.8.D-1) unstable; urgency=low

  * New upstream version.
  * Mention homepage.
  * Update debian/copyright.
  * Register documentation with doc-base.

 -- Stephen Kitt <steve@sk2.org>  Mon, 31 May 2010 06:49:35 +0200

mednafen (0.8.C-1) unstable; urgency=low

  * New maintainer (closes: #510531).
  * New upstream version (closes: #506462):
    - 10-gcc4.4-const-char.patch: removed, merged upstream.
  * Standards-Version 3.8.4, no change required.
  * Provide nes-emulator (closes: #485974).

 -- Stephen Kitt <steve@sk2.org>  Thu, 04 Feb 2010 14:50:12 +0100

mednafen (0.8.9-1.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * Update to packaging format "3.0 (quilt)" due to patch.
  * debian/patches
    - (number 10): Add patch to fix GCC 4.4
      invalid conversion from const char* to char*.
      (RC bug FTBFS serious; Closes: #560474).
  * debian/source/format
     - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 09 Jan 2010 21:00:28 +0200

mednafen (0.8.9-1) unstable; urgency=low

  * New upstream version.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Mon, 09 Jun 2008 16:38:25 -0400

mednafen (0.8.8-1) unstable; urgency=low

  * New upstream version.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu, 03 Apr 2008 10:43:51 -0400

mednafen (0.8.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Explicitly include required headers to fix FTBFS with gcc-4.3.  (Closes:
    #417446)

 -- James Vega <jamessan@debian.org>  Sun, 09 Mar 2008 17:10:00 -0400

mednafen (0.8.7-1) unstable; urgency=low

  * New upstream version. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Sun, 06 Jan 2008 11:58:07 -0500

mednafen (0.8.6-1) unstable; urgency=low

  * New upstream version.
  * Closes: #417446. Upstream fixed this in a different way than the patch.
  * Update Debian packaging to compat = 5.
  * Update x-dev depend to x11proto-core-dev.
  * Add copyright information for galois.
  * Add copyright information for Debian packaging.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Fri, 04 Jan 2008 14:48:16 -0500

mednafen (0.8.5-1) unstable; urgency=low

  * New upstream version. 
  * Closes: #449877. Patch from Raphael Geissert <atomo64@gmail.com>.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Sun, 16 Dec 2007 18:50:43 -0500

mednafen (0.8.4-rc3-1) unstable; urgency=low

  * New upstream version.
  * Closes: #447551

 -- Ryan Schultz <schultz.ryan@gmail.com>  Mon, 22 Oct 2007 22:27:12 -0400

mednafen (0.8.1-1) unstable; urgency=low

  * New upstream version.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Mon, 22 Oct 2007 22:26:23 -0400

mednafen (0.7.2-1) unstable; urgency=low

  * New upstream version. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu, 22 Feb 2007 16:45:25 -0500

mednafen (0.7.1-1) unstable; urgency=low

  * New upstream release. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Sun, 24 Dec 2006 13:19:55 -0500

mednafen (0.7.0-1) unstable; urgency=low

  * New upstream version.
  * Updated copyright.
  * Added build rules for ALSA on *BSDs.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Sat, 23 Dec 2006 12:34:18 -0500

mednafen (0.6.5-1) unstable; urgency=low

  * New upstream version. Closes: #385807

 -- Ryan Schultz <schultz.ryan@gmail.com>  Wed,  6 Sep 2006 21:04:34 -0400

mednafen (0.6.4-1) unstable; urgency=low

  * New upstream version.
  * Update copyrights.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Mon, 28 Aug 2006 13:32:02 -0400

mednafen (0.6.3-1) unstable; urgency=low

  * New upstream version. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu, 10 Aug 2006 14:45:16 -0400

mednafen (0.6.2-1) unstable; urgency=low

  * New upstream version. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Wed, 21 Jun 2006 16:26:18 -0400

mednafen (0.6.1-1) unstable; urgency=low

  * New upstream version. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu,  1 Jun 2006 20:48:48 -0400

mednafen (0.6.0-1) unstable; urgency=low

  * New upstream version.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Tue, 16 May 2006 13:06:32 -0400

mednafen (0.5.2-1) unstable; urgency=low

  * New upstream version. Closes: #351586

 -- Ryan Schultz <schultz.ryan@gmail.com>  Tue, 16 May 2006 13:06:27 -0400

mednafen (0.4.7-1) unstable; urgency=low

  * New upstream version. Closes: #349845
  * Add Trio copyright info.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu,  2 Feb 2006 14:24:53 -0500

mednafen (0.4.5-1) unstable; urgency=low

  * New upstream version. Closes: #349633
  * Remove JACK and ESD dependencies.
  * Update description.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Tue, 24 Jan 2006 18:01:01 -0500

mednafen (0.4.4-1) unstable; urgency=low

  * New upstream version.
  * Add debian/watch file.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Sun, 22 Jan 2006 21:43:34 -0500

mednafen (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Fix some small packaging issues.
  * Expand debian/copyright file.

 -- Ryan Schultz <schultz.ryan@gmail.com>  Thu, 29 Dec 2005 17:43:00 -0500

mednafen (0.4.0-1) unstable; urgency=low

  * New upstream release. 

 -- Ryan Schultz <schultz.ryan@gmail.com>  Fri, 16 Dec 2005 15:10:58 -0500

mednafen (0.3.7-1) unstable; urgency=low

  * Initial release Closes: #340378
  * Upstream source repackaged to remove CVS dirs

 -- Ryan Schultz <schultz.ryan@gmail.com>  Tue, 22 Nov 2005 22:48:43 -0500

